package com.flossom.common.core.domain.entity;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 模式服务对象 wx_mode_service_info
 *
 * @author flossom
 * @date 2024-02-01
 */
public class WxModeServiceInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 模式ID */
    private Long modeId;

    /** 服务开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "服务开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date serviceStartTime;

    /** 服务结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "服务结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date serviceEndTime;

    /** 启动图片资源 */
    @Excel(name = "启动图片资源")
    private String startSource;

    /** 暂停图片资源 */
    @Excel(name = "暂停图片资源")
    private String stopSource;


    // 上传的时间集合
    private List<Date> startTimeArray;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setServiceStartTime(Date serviceStartTime)
    {
        this.serviceStartTime = serviceStartTime;
    }

    public Date getServiceStartTime()
    {
        return serviceStartTime;
    }
    public void setServiceEndTime(Date serviceEndTime)
    {
        this.serviceEndTime = serviceEndTime;
    }

    public Date getServiceEndTime()
    {
        return serviceEndTime;
    }
    public void setStartSource(String startSource)
    {
        this.startSource = startSource;
    }

    public String getStartSource()
    {
        return startSource;
    }
    public void setStopSource(String stopSource)
    {
        this.stopSource = stopSource;
    }

    public String getStopSource()
    {
        return stopSource;
    }

    public List<Date> getStartTimeArray() {
        return startTimeArray;
    }

    public void setStartTimeArray(List<Date> startTimeArray) {
        this.startTimeArray = startTimeArray;
    }

    public Long getModeId() {
        return modeId;
    }

    public void setModeId(Long modeId) {
        this.modeId = modeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("serviceStartTime", getServiceStartTime())
            .append("serviceEndTime", getServiceEndTime())
            .append("startSource", getStartSource())
            .append("stopSource", getStopSource())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
